<h2>Sample Ardor APIs for Node JS</h2>

<h3>What's new?</h3>
This release is compatible with the Ardor 2.3.2 APIs.<br>
A new configuration parameter disableSslCertificateVerification was added to config.json.<br> 
Use it to enable https communication with a node when using a self signed certificate. 

<h3>General Information</h3>

The Node JS module performs local signing and encryption using the same code used by the official Ardor wallet.<br>
- Your passphrase, seed or private key are never submitted to the remote node when submitting a transaction.<br>
- Transaction bytes returned by the remote node are parsed and validated against the submitted data.<br>
- Transaction signing, encryption, and decryption are invoked locally using Javascript code.<br>

<h3>Setup using NPM</h3>
`npm i ardor`<br>
`echo n | copy /-y node_modules\ardor\sample\*.* *.*` - copy the Ardor samples without overwriting existing files<br>

<h3>Setup using Ardor installation</h3>
Install the Ardor software (no need to download the blockchain)<br>
Install Node JS and NPM from https://nodejs.org<br>
Open a command prompt<br>
Navigate to the Ardor installation folder<br>
`cd html/www/js` - make sure the folder has write permissions<br>
`npm install`<br>
`cd sample`<br>

<h3>Run Examples</h3>
Configure the remote node, Ardor account and default chain by editing the `config.json` file<br>
Invoke any of the available samples using node, for example `node send.money.js`<br>

<h3>Packaging and Distribution</h3>
If installed from Ardor installation, the Ardor package no longer depends on a local Ardor node.<br>
You can use the content of the `html/www/js` folder as a standalone module.<br> 

<h3>Warning</h3>
Your passphrase or private key are submitted to a remote node only when invoking specific APIs which require them to operate like the startForging API.<br>
We recommend that you avoid using these APIs in your scripts when connecting to an untrusted remote node.<br>

